{% extends '_layouts/default' %}
{% block contents %}
    {% include '_partials/banner.twig' with { 'bannerWithDarkBlueSection': 'activeBannerWithDarkBlueSection'} %}
    {% include '_partials/featured-staff.twig' %}
    <div class="staff-result lists lists-wrap">
        <div class="row width-920 vflex animatedParent animateOnce">
            {% for block in entry.staffLists %}
                {% if block.type == "staffMainTitle" %}
                    <div class="columns small-12">
                        <div class="staff-result lists content title animated fadeInDownShort">
                            <h2>{{ block.staffTitle }}</h2> 
                        </div>
                    </div>
                {% endif %}
                {% if block.type == "staffGroup" %}
                    <div class="columns large-4 medium-6 small-12">
                        <div class="staff-result lists content">
                            <div class="staff-result lists holder">
                                <div class="staff-result lists holder image rounded animated fadeIn">
                                    {% set blockImage = block.staffImage.first() %}
                                    {% if blockImage %}
                                        <img src="{{ blockImage.getUrl() }}" alt="{{ blockImage.title }}">
                                    {% endif %}
                                </div>
                                <div class="staff-result lists holder bio animated fadeIn">
                                    <h3>{{ block.staffName }}</h3>
                                    <h4>{{ block.staffPosition }}</h4>
                                    <a href="mailto:{{ block.staffEmail }}">{{ block.staffEmail }}</a>
                                    {{ block.staffContent }}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>    
{% endblock contents %}
